Bug 1001876 - Update "rsync-out" helpout for using wildcard
Update "rsync-out" helpout for using wildcard
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 22:57 EDT by bfan
Modified: 2014-06-17 22:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: libguestfs-1.22.6-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:41:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bfan 2013-08-27 22:57:37 EDT
Description of problem:
rsync-out dose not support wildcard, if customer want to use the wildcard, need use "glob rsync-out".
Now, Can not find this help in rsync-out helpout, need update it.


Version-Release number of selected component (if applicable):
libguestfs-1.22.6-4.el7.x86_64


How reproducible:
Always


Steps to Reproduce:
Step 1:
# cat /tmp/rsyncd.conf
port = 33335
pid file = rsyncd.pid
[src]
path = /tmp/hostsrc
comment = source
use chroot = false
read only = true
[dest]
path = /tmp/hostdest
comment = destination
use chroot = false
read only = false

Step 2:
# rsync --daemon --config=/tmp/rsyncd.conf

Step 3:
# guestfish --network -a test1.img -m /dev/sda1
><fs> touch /test.c

><fs> rsync-out /*.c rsync://root@10.66.85.205:33335/dest/ archive:true
libguestfs: error: rsync_out: '/*.c' to 'rsync://root@10.66.85.205:33335/dest/': rsync: link_stat "/sysroot/*.c" failed: No such file or directory (2)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1039) [sender=3.0.6]

><fs> glob rsync-out /*.c rsync://root@10.66.85.205:33335/dest/ archive:true


Actual results:


Expected results:


Additional info:
Has same issue in RHEL, libguestfs-1.20.10-3.el6.x86_64
Comment 2 Richard W.M. Jones 2013-08-29 10:22:44 EDT
Fix also included in libguestfs-1.20.10-4.el6 (note
there is no separate bug for RHEL 6, I just included
the fix in the routine build).
Comment 4 bfan 2013-12-03 04:17:52 EST
Verified with libguestfs-1.22.6-16.el7.x86_64

><fs> help rsync-out
    ...

    Globbing does not happen on the "src" parameter. In programs which use
    the API directly you have to expand wildcards yourself (see
    "glob_expand"). In guestfish you can use the "glob" command (see "glob"
    in guestfish(1)), for example:

     ><fs> glob rsync-out /* rsync://remote/


Help out is update.
Comment 5 Ludek Smid 2014-06-13 06:41:06 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.